
/* Support for dynamic loading of extension modules */

#include "Python.h"
#include "importdl.h"

extern char *Py_GetProgramName(void);

const struct filedescr _PyImport_DynLoadFiletab[] = {
	{".addr", "rb", C_BUILTIN},
	{0, 0}
};

dl_funcptr _PyImport_GetDynLoadFunc(const char *fqname, const char *shortname,
				    const char *pathname, FILE *fp)
{
  char buf[128];
  int  bread;
  void *addr;
  
  printf("DLF: fqname=%s, shortname=%s, pathname=%s\n",
         fqname, shortname, pathname);
  
  bread = fread(buf, sizeof (char), sizeof (buf), fp);

  addr = (void*) strtoul(buf, 0, 0);
  
  printf("bread=%d, buf=%s, addr=%p\n", bread, buf, addr);

	return addr;
}
